<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/upload_percent_tv"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:minHeight="?android:attr/listPreferredItemHeight">

    <android.support.constraint.ConstraintLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="8dp"
        android:layout_marginRight="8dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/btn_reload"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginTop="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="8dp"
        android:id="@+id/constraintLayout"
        app:layout_constraintVertical_bias="0.0">

        <TextView
            android:id="@+id/upload_name_tv"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginEnd="8dp"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="0dp"
            android:layout_marginStart="8dp"
            android:layout_marginTop="8dp"
            android:hint="QS885555464784613654"
            app:layout_constraintHorizontal_bias="0.0"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:layout_constraintLeft_creator="1"
            tools:layout_constraintRight_creator="1" />

        <TextView
            android:id="@+id/upload_err_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Error:"
            app:layout_constraintLeft_toLeftOf="@+id/upload_progressBar"
            app:layout_constraintTop_toBottomOf="@+id/upload_state_tv"
            tools:layout_constraintLeft_creator="1"
            tools:layout_constraintTop_creator="1" />

        <ProgressBar
            android:id="@+id/upload_progressBar"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="0dp"
            android:layout_height="16dp"
            android:layout_marginLeft="8dp"
            android:layout_marginRight="0dp"
            android:layout_marginTop="0dp"
            android:max="100"
            android:progress="0"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/upload_name_tv"
            app:layout_constraintHorizontal_bias="0.0" />

        <TextView
            android:id="@+id/upload_progress_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="0dp"
            android:layout_marginTop="8dp"
            android:text="progress"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/upload_progressBar"
            tools:layout_constraintRight_creator="1" />

        <TextView
            android:id="@+id/upload_state_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="8dp"
            android:layout_marginTop="8dp"
            android:text="finished"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/upload_progressBar" />
    </android.support.constraint.ConstraintLayout>

    <ImageButton
        android:id="@+id/btn_reload"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:layout_marginEnd="7dp"
        android:layout_marginRight="5dp"
        android:layout_marginTop="8dp"
        android:tint="@color/blue"
        android:visibility="visible"
        app:layout_constraintBottom_toBottomOf="@+id/constraintLayout"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@+id/constraintLayout"
        app:srcCompat="@drawable/ic_action_reload"
        tools:layout_constraintRight_creator="1"
        tools:layout_constraintTop_creator="1" />

</android.support.constraint.ConstraintLayout>